AY Developer docs
ApiPublic documents

User DID document

Only users who registered a key have a document; otherwise `404`.

GET
/users/{id}/did.json

Only users who registered a key have a document; otherwise 404.

Path Parameters

id*string

Entity id (UUID). Anything else is answered with 404.

Formatuuid

Response Body

application/did+ld+json

application/json

application/json

curl -X GET "https://example.com/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/did.json"
{  "@context": [    "string"  ],  "id": "string",  "controller": "string",  "verificationMethod": [    {      "id": "string",      "type": "string",      "controller": "string",      "publicKeyMultibase": "string",      "publicKeyJwk": {}    }  ],  "authentication": [    "string"  ],  "assertionMethod": [    "string"  ],  "service": [    {      "id": "string",      "type": "string",      "serviceEndpoint": "http://example.com"    }  ],  "deactivated": true}